Bug 134201 - System crash with corrupted kernel stack when using SCSI Tape Drive
System crash with corrupted kernel stack when using SCSI Tape Drive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 02:02 EDT by Michael Lausch
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the syslog messages for the kernel crash (12.63 KB, text/plain)
2004-09-30 02:10 EDT, Michael Lausch
no flags Details

  None (edit)
Description Michael Lausch 2004-09-30 02:02:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Epiphany/1.2.7

Description of problem:
An Athlon XP1600 System with adaptec 29160 Adapter, 1 SCSI CDROM, 1
SCSI Exabyte, 4 SCSI Harddisks, 1 IDE Harddisk

sda is used for / and /boot partition

sdb,sdc,sdd form a RAID5 devices which is used with LVM to create /usr
/tmp /usr/local /var /opt partitions.
the filesystem used is XFS except for the root partition.

an IDE disk, hda is used for temporary storage for bacula
(www.bacula.org) backup. 

Whenever bacula starts streaming the data from the spooling area on
hda to the Exabyte tape drive, the system crashes. Syslog entries of
the crash are attached to this report. There is no problem when using
vanilla 2.6.8.1 with 8k Stack size. I'm going to apply all the
2.5.8-1.521 patches, except the 4k Stacksize patch and try to
reproduce the bug. But because of the corrupted kernel stack, as can
be seen in the attached syslog entries, i strongly suspect that there
are kernel stack overruns in the adaptec aic7xxx code. There were no
error messages from the kernel stack checking debugging help which are
enabled in fedora core 2 kernels. 

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. use fedora core2 2.6.8-1.521 kernel
2. let bacule stream data from IDE disk to Exabyte drive


Actual Results:  The kernel crashes with corrupted kernel stack

Additional info:

Athlon XP1600 system with 8KHA+ Motherboard and 1 Gig of RAM
SCSI Controller is Adaptec 29150 with the following devices attached:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: SEAGATE  Model: ST318406LW       Rev: 0108
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 04 Lun: 00
  Vendor: SEAGATE  Model: ST336607LW       Rev: 0006
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 05 Lun: 00
  Vendor: EXABYTE  Model: EXB-8505SMBANSH2 Rev: 0098
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: PLEXTOR  Model: CD-ROM PX-32TS   Rev: 1.01
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 08 Lun: 00
  Vendor: IBM      Model: IC35L036UWD210-0 Rev: S5BS
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 09 Lun: 00
  Vendor: IBM      Model: IC35L036UWD210-0 Rev: S5BS
  Type:   Direct-Access                    ANSI SCSI revision: 03
Comment 1 Michael Lausch 2004-09-30 02:10:27 EDT
Created attachment 104567 [details]
the syslog messages for the kernel crash

									       
			    Look at the entry
Sep 25 15:16:29 192.168.1.254  Stack pointer is garbage, not printing trace

which led me to the conclusion that the kernel stack got thrashed. the

Sep 25 15:16:29 192.168.1.254  eth0: BUG! Tx Ring full, refusing to send 
buffer.

entries stem from the netconsole module, because is was not possible to catch 
the syslog entries in the local messages file. There are no SCSI errors when 
using the system, without writing to the tape.
Comment 2 Dave Jones 2005-04-16 00:44:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.